Quassel IRC - Bug #433

Warnings when build Quassel under Windows (VC2005)
12/04/2008 11:18 AM - Datafreak

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: % Done: 100%
Category: General / Unspecified Estimated time: 0.00 hour
Target version:

Version: 0.3.1+ 0S: Any
Description

<Datafreak> Sput: beim bauen von quassel gibt es unter windows ein paar warings. wollt ihr die fixen bzw. ausblenden?
<kaffeedoktor> Was sind das denn fir Warnings?

<Sput> Datafreak: BR aufmachen und die warnings copypasten wére nett.

<Datafreak> Sput: mach ich

Additional information:

[ 45%)] Building CXX object src/uisupport/CMakeFiles/mod_uisupport.dir/bufferview.cpp.obj

bufferview.cpp

C:\quassel\src\uisupport\bufferview.cpp(76) : warning C4067: Unerwartete Token nach Praprozessordirektive - Zeilenvorschub
erwarte

1.
C:\quassel\src\uisupport\bufferview.cpp(76) : warning C4067: Unerwartete Token nach Préprozessordirektive - Zeilenvorschub
erwarte

t.
[ 46%)] Building CXX object src/uisupport/CMakeFiles/mod_uisupport.dir/bufferviewfilter.cpp.obj

[ 47%] Building CXX object src/uisupport/CMakeFiles/mod_uisupport.dir/nickview.cpp.obj

nickview.cpp

C:\quassel\src\uisupport\nickview.cpp(53) : warning C4067: Unerwartete Token nach Préprozessordirektive - Zeilenvorschub
erwartet.

C:\quassel\src\uisupport\nickview.cpp(53) : warning C4067: Unerwartete Token nach Praprozessordirektive - Zeilenvorschub
erwartet.

[ 48%] Building CXX object src/uisupport/CMakeFiles/mod_uisupport.dir/nickviewfilter.cpp.obj

Linking CXX static library mod_uisupport.lib

abstractnotificationbackend.cpp.obj : warning LNK4221: Es wurden keine 6ffentlichen Symbole gefunden. Zugriff auf archivierten
Mem

ber wird nicht méglich sein.

[ 53%] Built target mod_uisupport

[ 69%] Generating ui_backlogsettingspage.h
Warning: name horizontalSpacer_3 is already used
[ 70%)] Generating ui_bufferviewsettingspage.h

Linking CXX executable ..\quassel.exe

Bibliothek "..\quassel.lib" und Objekt "..\quassel.exp" werden erstellt.

mod_qtui.lib(webpreviewitem.cpp.obj) : warning LNK4217: Lokal definiertes Symbol "?load@QWebView@QAEXABVQUr@Z
(public: void ___

thiscall QWebView::load(class QUTrl const &))" wurde in "public: __thiscall WebPreviewltem::WebPreviewltem(class QString const
&)"
(??0WebPreviewltem@QAE@ABVQString@@Z)-Funktion importiert.

mod_qgtui.lib(webpreviewitem.cpp.obj) : warning LNK4217: Lokal definiertes Symbol "??0QWebView@QAE@PAVQWidget@@Z
(public: __thisc

all QWebView::QWebView(class QWidget *))" wurde in "public: __thiscall WebPreviewltem::WebPreviewltem(class QString const &)"
(??0

WebPreviewltem@QAE@ABVQString@@Z)-Funktion importiert.

mod_gtui.lib(webpreviewitem.cpp.obj) : warning LNK4217: Lokal definiertes Symbol "??1QWebView@UAE@XZ (public: virtual _
thiscall

QWebView::~QWebView(void))" wurde in "public: virtual void * __thiscall QWebView:: scalar deleting destructor'(unsigned int)" (
GQWebView@UAEPAXI@Z)-Funktion importiert.

[ 98%] Built target quassel

Scanning dependencies of target quasselclient

[ 98%] Building CXX object src/CMakeFiles/quasselclient.dir’common/main.cpp.obj

main.cpp

[ 98%)] Building RC object src/CMakeFiles/quasselclient.dir/__/pics/win32.rc.res

[ 99%)] Building CXX object src/CMakeFiles/quasselclient.dir/grc_pics.cxx.obj

grc_pics.cxx

[ 99%] Building CXX object src/CMakeFiles/quasselclient.dir/__/icons/qgrc_hicolor.cxx.obj

grc_hicolor.cxx

[ 99%] Building CXX object src/CMakeFiles/quasselclient.dir/__/icons/qrc_oxygen.cxx.obj

grc_oxygen.cxx

Linking CXX executable ..\quasselclient.exe

Bibliothek "..\quasselclient.lib" und Objekt "..\quasselclient.exp" werden erstellt.

mod_gtui.lib(webpreviewitem.cpp.obj) : warning LNK4217: Lokal definiertes Symbol "?load@QWebView@QAEXABVQUri@@Z
(public: void __

thiscall QWebView::load(class QUTrl const &))" wurde in "public: __thiscall WebPreviewltem::WebPreviewltem(class QString const
&)"

(??0WebPreviewltem@QAE@ABVQString@@Z)-Funktion importiert.

mod_gtui.lib(webpreviewitem.cpp.obj) : warning LNK4217: Lokal definiertes Symbol "??0QWebView@QAE@PAVQWidget@@Z

(public: __thisc
all QWebView::QWebView(class QWidget *))" wurde in "public: __thiscall WebPreviewltem::WebPreviewltem(class QString const &)"
(??0

WebPreviewltem@QAE@ABVQString@@2Z)-Funktion importiert.

mod_qtui.lib(webpreviewitem.cpp.obj) : warning LNK4217: Lokal definiertes Symbol "??1QWebView@UAE@XZ (public: virtual _
thiscall

QWebView::~QWebView(void))" wurde in "public: virtual void *__thiscall QWebView:: scalar deleting destructor'(unsigned int)" (
GQWebView@@UAEPAXI@Z)-Funktion importiert.

[ 99%] Built target quasselclient

Scanning dependencies of target quasselcore

History

#1 - 12/28/2008 01:51 AM - Sputnick
- Priority changed from High to Normal

#2 - 02/06/2009 01:11 AM - EgS
- Status changed from New to Resolved
- % Done changed from 0 to 100

- Version setto 0.3.1+

Those should all be fixed except for the QWeb* stuff which does not come from Quassel.

Files

buildlog.txt 40.8 KB 12/04/2008 admin
